Minimum Computer Requirements

The Campus Public Emergency Communications course is offered through the Blackboard LM System.  It requires specific computer requirements to ensure proper operation and access to the course elements.  You must meet these requirements, or you will most likely not be able to access or even see the modules.


PC:

  • Operating systems:  Windows XP, Windows Vista and Windows 7
  • Internet browsers: Internet Explorer (7 or 8 preferred) or Firefox


Mac:

  • Operating system: Mac OS 10.x
  • Internet browsers: Firefox or Safari

NOTE: These courses do not work in Google Chrome



Other Requirements:

  • Speakers or headsets - there is audio on every page, as well as videos with audio that can be played
  • Java – you must have a recent version of Java installed